Skip to content
Start here

Get all converted formats supported

GET/accounts/{account_id}/ai/tomarkdown/supported

Lists all file formats supported for conversion to Markdown.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI WriteWorkers AI Read
Path ParametersExpand Collapse
account_id: string
ReturnsExpand Collapse
result: array of object { extension, mimeType }
extension: string
mimeType: string
success: boolean

Get all converted formats supported

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai/tomarkdown/supported \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": [
    {
      "extension": "extension",
      "mimeType": "mimeType"
    }
  ],
  "success": true
}
Returns Examples
{
  "result": [
    {
      "extension": "extension",
      "mimeType": "mimeType"
    }
  ],
  "success": true
}